package test

import (
	"github.com/gofiber/fiber/v2"
	"github.com/gofiber/template/html/v2"

	"git.dmitriygnatenko.ru/dima/dmitriygnatenko-v2/internal/template/functions"
)

func GetFiberTestConfig() fiber.Config {
	engine := html.New("./../../template", ".html")

	engine.AddFunc("now", functions.Now)
	engine.AddFunc("noescape", functions.NoEscape)
	engine.AddFunc("concat", functions.Concat)
	engine.AddFunc("gridsep", functions.GridSep)
	engine.AddFunc("trans", functions.Trans)
	engine.AddFunc("link", functions.Link)

	engine.AddFunc("version", func() string {
		return "1"
	})

	return fiber.Config{
		Views: engine,
	}
}
